%global tarball xf86-input-libinput

Summary:	Xorg X11 libinput input driver
Name:		x11-driver-input-libinput
Group:		System/X11
Version:	0.26.0
Release:	%mkrel 1
URL:		http://www.github.com/whot/xf86-input-libinput/
License:	MIT
Source0:     ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.xz

BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(libinput) >= 0.21
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(xorg-server)
BuildRequires: x11-util-macros

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
Requires: xkeyboard-config

%description
A generic input driver for the X.Org X11 X server based on libinput,
supporting all devices.

%package devel
Summary:	Xorg X11 libinput input driver devel files
Group:		Development/Libraries

%description devel
Xorg X11 libinput input driver development files.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure2_5x --disable-static --disable-silent-rules
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/X11/xorg.conf.d
rm -rf %{buildroot}%{_libdir}/xorg/modules/input/libinput_drv.la

%files 
%doc COPYING
%{_libdir}/xorg/modules/input/libinput_drv.so

#This conflicts with 10-evdev.conf and prevents mouse settings from working
%exclude %{_datadir}/X11/xorg.conf.d/40-libinput.conf

%{_mandir}/man4/libinput.4*

%files devel
%{_includedir}/xorg/libinput-properties.h
%{_libdir}/pkgconfig/xorg-libinput.pc


%changelog
* Fri Sep 22 2017 bb2 <bb2> - 0.26.0-1pclos2017
- new version

* Sun Mar 26 2017 bb2 <bb2> - 0.25.0-1.1pclos2017
- rebuilt

* Sun Mar 26 2017 bb2 <bb2> - 0.25.0-1pclos2017
- new version
